#include <iostream>
#include <string>
using namespace std;

int main()
{
    string s,x;
    int pa,pb,b2=0,b3=0;
    cin>>s>>x;
    int d=s.length();
    if(x=="a"){
     for(int i=0;i<d;i++){
          if(s[i] == 'a')
             s[i]='*';
             b3++;
      }
    }
    else if(x=="ab"){
      for(int i=0;i<d;i++){
          if(s[i] == 'a'){
            b2++;
          }
          else if(s[i]=='b'){
            if(b2>0){
              s[i]='*';
              b2--;
              b3++;
            }
          }
      }
    }
    cout<<b3<<endl;
    cout<<s;
    return 0;
}